// $Id: drupalorg_proxy.pac,v 1.1 2008/05/04 06:42:46 mooffie Exp $

// This is a "Proxy Auto-Config" (PAC) file that your browser can use.
// See explanation in INSTALL.txt.

var drupalorg_fixer = "PROXY 127.0.0.1:8080";
var bypass = "DIRECT";

function FindProxyForURL(url, host) {
  if (host == 'www.drupal.org' || host == 'drupal.org') {
    // Optimization: there are pages on drupal.org that
    // don't need filtering:
    if ( /\/(files|misc|themes|Modules)\/|planet|favicon\.ico/.test(url) ) {
      return bypass;
    }
    return drupalorg_fixer;
  }
  return bypass;
}
